/************************************************************************
 *
 * This file defines all of the display/windowing system symbolic names.
 *
 *	Copyright (C) 1999-2008 Cincom Systems, Inc.
 *
 ************************************************************************/

#define displayNone			 0	/* No Display System (headless) */

#define displaySunWindows	 1	/* Sun Windows */
#define displayEGA			 5	/* Enhanced Graphics Adaptor */
#define displayX10			10	/* X Windows System - version 10 */
#define displayX11			11	/* X Windows System - version 11 */
#define displayTigr			12	/* Ardent tigr direct interface */
#define displayMac			13	/* Macintosh Window System */
#define displayNeXT			14	/* NeXT Window System */
#define displayR_OS			15	/* RiscOS Window System */
#define displayWindows		16	/* Microsoft Windows */
#define displayOS2			17	/* IBM OS/2 Window System */
#define displayBEOS			18	/* BEOS Window System */
#define displayMacX			19	/* MacOS X Window System (Aqua) */

#define displayNil			99	/* dummy display system (for development) */
