<?xml version="1.0"?>

<st-source>
<time-stamp>From Squeak3.9 on 22 September 2007 at 1:04:57 pm</time-stamp>
<version>CSSBarGraph-mb.10.mcz      13 September 2007 5:44:45 pm</version>

<class>
<name>BGBarDemo</name>
<environment>Seaside</environment>
<super>Seaside.WAComponent</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>progressBar1 progressBar2 goodBadChart</inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>CSSBarGraph-Demo</category>
<attributes>
<package>CSSBarGraph-Demo</package>
</attributes>
</class>

<class>
<name>BGDataset</name>
<environment>Seaside</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>title percent</inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>CSSBarGraph-Model</category>
<attributes>
<package>CSSBarGraph-Model</package>
</attributes>
</class>

<class>
<name>BGFileLibrary</name>
<environment>Seaside</environment>
<super>Seaside.WAFileLibrary</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>CSSBarGraph-Core</category>
<attributes>
<package>CSSBarGraph-Core</package>
</attributes>
</class>

<class>
<name>BGGoodBadChart</name>
<environment>Seaside</environment>
<super>Seaside.WAComponent</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>datasets</inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>CSSBarGraph-Core</category>
<attributes>
<package>CSSBarGraph-Core</package>
</attributes>
</class>

<comment>
<class-id>Seaside.BGGoodBadChart</class-id>
<body>http://apples-to-oranges.com/blog/article.aspx?id=55</body>
</comment>

<class>
<name>BGGoodBadStyles</name>
<environment>Seaside</environment>
<super>Seaside.WAFileLibrary</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>CSSBarGraph-Core</category>
<attributes>
<package>CSSBarGraph-Core</package>
</attributes>
</class>

<class>
<name>BGProgressBar</name>
<environment>Seaside</environment>
<super>Seaside.WAComponent</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>barColor textColor progress</inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>CSSBarGraph-Core</category>
<attributes>
<package>CSSBarGraph-Core</package>
</attributes>
</class>

<comment>
<class-id>Seaside.BGProgressBar</class-id>
<body>http://apples-to-oranges.com/blog/article.aspx?id=55</body>
</comment>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>initialize-release</category>
<body package="CSSBarGraph-Demo">initialize
	super initialize.
	self progressBar1: self buildProgressBar1.
	self progressBar2: self buildProgressBar2.
	self goodBadChart: self buildGoodBadChart </body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Demo">progressBar1
	^progressBar1</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>private</category>
<body package="CSSBarGraph-Demo">buildProgressBar1
	^BGProgressBar new
		progress: 53;
		yourself</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Demo">children
	^Array
		with: self progressBar1
		with: self progressBar2
		with: self goodBadChart </body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Demo">progressBar2: anObject
	progressBar2 := anObject</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Demo">rendererClass
	^WARenderCanvas</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Demo">goodBadChart: anObject
	goodBadChart := anObject</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>private</category>
<body package="CSSBarGraph-Demo">buildProgressBar2
	^BGProgressBar new
		progress: 8;
		yourself</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>private</category>
<body package="CSSBarGraph-Demo">buildGoodBadChart
	^BGGoodBadChart new
		add: 'Love Life' value: 25;
		add: 'Education' value: 55;
		add: 'War Craft 3 Rank' value: 75;
		yourself</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Demo">goodBadChart
	^goodBadChart</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>updating</category>
<body package="CSSBarGraph-Demo">updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: 'CSS Bar Graph Demo'.</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Demo">progressBar2
	^progressBar2</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>rendering</category>
<body package="CSSBarGraph-Demo">renderContentOn: html
	html heading level1; with: 'CSS For Bar Graphs: Examples'.

	html heading level2; with: 'Basic Bar Graph'.
	html render: self progressBar1.
	html break.
	html render: self progressBar2.

	html heading level2; with: 'Complex Bar Graph'.
	html render: self goodBadChart </body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Demo">progressBar1: anObject
	progressBar1 := anObject</body>
</methods>
<methods>
<class-id>Seaside.BGDataset</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Model">percentString
	^self  percent displayString , '%'</body>
</methods>
<methods>
<class-id>Seaside.BGDataset</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Model">percent: anInteger 
	"anInteger must be between 0 and 100"
	percent := anInteger</body>
</methods>
<methods>
<class-id>Seaside.BGDataset</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Model">title
	^title</body>
</methods>
<methods>
<class-id>Seaside.BGDataset</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Model">percent
	^percent</body>
</methods>
<methods>
<class-id>Seaside.BGDataset</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Model">title: anObject
	title := anObject</body>
</methods>
<methods>
<class-id>Seaside.BGFileLibrary</class-id>
<category>uploaded</category>
<body package="CSSBarGraph-Core">gcolorbarJpg
	| xxxCache |
	xxxCache := #(nil) beMutable.
	(xxxCache at: 1) isNil ifTrue: [
		xxxCache at: 1 put: #(255 216 255 224 0 16 74 70 73 70 0 1 2 0 0 100 0 100 0 0 255 236 0 17 68 117 99 107 121 0 1 0 4 0 0 0 69 0 0 255 238 0 14 65 100 111 98 101 0 100 192 0 0 0 1 255 219 0 132 0 4 3 3 3 3 3 4 3 3 4 6 4 3 4 6 7 5 4 4 5 7 8 7 7 7 7 7 8 11 8 9 9 9 9 8 11 11 12 12 12 12 12 11 13 13 14 14 13 13 18 18 18 18 18 20 20 20 20 20 20 20 20 20 20 1 5 5 5 8 8 8 16 11 11 16 20 14 14 14 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 255 192 0 17 8 0 20 0 197 3 1 17 0 2 17 1 3 17 1 255 196 0 166 0 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 5 4 3 2 7 0 1 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 4 3 5 2 8 6 16 0 0 3 4 7 7 1 5 7 5 0 0 0 0 0 0 0 2 3 1 4 5 6 17 65 129 18 210 20 23 49 113 66 19 148 21 22 33 193 209 34 50 165 130 35 36 132 164 54 86 179 116 37 38 70 17 0 1 1 3 7 8 6 9 2 7 1 0 0 0 0 0 2 0 1 3 4 17 209 18 83 163 5 21 65 146 162 19 147 20 100 22 33 145 82 210 99 84 49 81 97 161 50 98 114 178 6 34 52 129 177 193 66 51 115 53 38 255 218 0 12 3 1 0 2 17 3 17 0 63 0 242 119 135 183 167 231 181 223 95 87 81 229 241 229 67 172 240 240 177 204 117 20 80 230 105 140 115 152 205 107 76 99 53 180 181 173 218 62 34 54 49 251 31 27 24 100 198 48 155 149 190 181 233 27 134 224 187 74 237 135 34 135 116 68 78 157 147 90 64 36 214 180 133 141 107 90 214 177 173 244 181 110 137 74 221 172 99 108 0 40 232 138 194 206 108 235 64 191 31 187 60 187 157 144 119 82 40 32 139 118 166 86 239 43 4 10 62 38 176 243 155 58 41 220 55 111 151 117 179 9 146 110 238 110 134 162 151 116 219 188 133 247 3 29 227 21 90 121 197 58 33 220 119 125 67 173 152 76 150 119 134 195 141 69 231 68 91 189 50 123 129 78 243 139 173 60 242 157 13 229 205 1 80 235 102 51 37 157 160 240 147 124 206 14 237 222 137 61 192 167 122 198 87 60 207 41 208 158 93 16 85 46 243 6 100 195 180 6 6 106 47 67 29 27 189 4 240 130 157 239 29 92 243 60 167 66 121 117 193 213 59 204 25 146 238 242 220 186 106 47 66 28 155 189 217 44 32 135 124 199 215 189 218 20 232 47 46 216 90 160 205 25 146 206 242 172 176 106 47 65 92 27 189 213 28 32 167 125 222 21 239 118 135 58 25 192 67 85 134 107 38 74 33 40 74 109 162 152 12 57 187 221 16 192 12 87 237 227 230 30 237 14 116 51 130 113 216 28 214 36 145 146 228 230 177 148 203 208 198 239 114 119 192 14 87 253 229 230 31 109 15 188 138 112 142 123 3 154 197 122 82 60 150 221 178 228 45 191 145 119 192 32 95 144 94 126 97 246 212 251 200 197 12 235 178 61 76 84 178 69 146 40 253 181 10 232 93 240 9 243 13 231 230 95 109 79 188 162 80 238 187 44 234 98 224 210 52 147 252 110 21 208 187 224 29 179 242 11 207 204 62 218 159 121 68 156 187 236 179 169 98 105 30 74 254 57 11 232 93 240 10 178 255 0 188 188 195 237 161 247 145 141 208 122 153 212 176 60 147 38 51 100 187 12 232 157 240 10 141 253 121 121 135 187 67 157 20 192 125 75 3 201 114 115 54 75 208 206 137 223 0 176 223 183 143 152 123 180 57 209 13 138 115 201 178 131 54 75 240 222 141 12 2 227 126 94 21 239 118 135 58 19 194 111 173 76 121 62 82 102 200 12 59 163 67 0 184 223 81 245 239 118 135 58 27 199 135 235 106 156 242 148 168 205 144 40 127 72 134 17 97 190 99 235 222 109 10 116 39 143 222 118 155 214 213 57 229 73 89 155 32 144 254 149 28 34 227 124 71 87 60 207 41 208 206 37 247 104 186 218 165 82 86 150 89 178 10 224 207 202 163 132 92 111 104 218 231 153 229 58 33 197 191 237 150 115 84 138 75 50 219 54 65 220 122 100 112 139 141 235 25 92 243 60 167 71 40 216 142 217 103 53 78 121 110 93 102 200 67 151 76 150 17 102 94 145 149 175 51 202 117 2 143 137 172 60 230 206 142 60 38 22 148 89 8 122 110 104 150 30 244 238 178 239 14 108 76 172 65 69 93 206 145 81 80 201 81 113 167 33 86 84 165 53 20 177 135 51 43 26 1 121 69 54 16 219 172 57 88 97 211 73 178 244 139 201 122 125 57 25 208 172 49 209 13 135 38 211 41 88 97 253 205 151 165 135 151 248 49 120 41 126 102 239 104 211 142 255 0 57 253 69 252 215 186 255 0 31 255 0 151 13 254 151 95 96 171 144 25 228 180 13 38 238 14 104 134 151 118 168 20 208 158 38 29 106 4 52 23 137 167 90 128 205 1 226 109 214 160 51 64 120 154 117 168 12 208 30 38 93 170 4 52 23 137 135 122 129 13 5 226 81 13 140 6 36 67 72 163 80 57 34 146 169 159 40 154 129 46 12 59 98 57 44 14 42 40 198 176 56 176 161 188 83 28 92 80 158 41 148 8 20 23 138 85 2 5 1 226 149 65 113 65 120 166 56 64 160 188 82 42 16 40 102 163 82 176 129 70 53 41 197 197 24 144 235 254 225 113 254 205 243 250 174 195 69 223 237 15 235 119 246 189 87 15 219 31 214 31 107 197 224 177 46 215 221 95 123 38 99 179 230 21 237 249 203 153 140 189 246 242 185 220 191 135 153 118 139 215 125 41 216 62 198 51 114 215 21 45 100 178 182 89 40 201 46 95 74 246 61 199 204 120 123 157 94 235 67 86 52 105 235 105 81 147 244 210 163 250 126 25 63 175 76 171 228 185 156 55 109 164 8 176 255 0 23 65 104 23 50 240 150 202 228 115 188 28 171 111 8 150 27 227 104 35 159 49 240 150 201 20 59 183 6 90 219 224 229 133 248 218 8 167 204 57 119 91 84 146 30 67 233 115 37 111 52 28 176 159 30 205 20 241 236 187 181 170 77 15 44 224 237 214 243 253 128 199 131 113 22 104 103 141 229 221 237 18 142 254 113 233 115 181 125 172 207 176 24 240 76 187 197 146 33 227 25 117 22 137 68 53 15 131 178 219 154 6 44 7 137 178 68 60 87 46 167 77 38 134 167 250 92 236 54 231 1 203 151 248 171 36 67 196 178 234 180 210 72 234 207 7 142 219 158 7 46 93 226 172 81 79 127 203 170 210 87 165 172 94 151 124 106 220 248 129 114 223 23 98 140 91 239 135 164 173 79 90 120 124 94 222 224 34 222 89 226 236 84 11 123 249 52 150 236 214 218 63 229 126 162 56 255 0 204 241 150 42 77 222 126 77 37 201 181 178 191 22 250 136 233 156 179 198 88 168 150 241 242 251 214 70 214 154 252 95 234 2 140 229 174 46 197 64 181 223 47 189 98 109 102 175 198 62 160 42 206 92 226 236 81 142 158 89 22 38 214 42 252 107 245 226 163 203 188 85 138 41 203 149 96 125 94 175 198 236 207 139 15 47 113 86 72 167 71 44 171 3 234 213 126 59 102 120 84 112 14 38 201 16 245 89 105 123 148 231 213 106 252 122 204 232 176 224 92 77 146 33 238 249 105 251 150 7 213 26 251 5 153 209 102 96 124 77 146 33 238 153 105 232 169 212 212 206 46 197 102 112 88 112 94 34 205 28 183 47 19 69 76 125 71 175 178 89 155 22 28 31 199 179 71 45 195 197 208 83 155 80 235 236 191 170 21 102 17 227 217 168 150 29 226 232 41 127 218 51 127 136 201 121 15 47 252 117 206 102 71 41 123 241 124 202 126 247 157 127 45 203 163 224 187 204 167 214 128 241 194 247 82 147 91 70 152 203 240 82 150 137 209 246 73 241 123 101 87 28 63 119 41 53 146 82 25 126 25 101 144 164 246 73 241 123 87 255 217) asByteArray ].
	^ xxxCache at: 1</body>
</methods>
<methods>
<class-id>Seaside.BGFileLibrary</class-id>
<category>uploaded</category>
<body package="CSSBarGraph-Core">gmarkerGif
	| xxxCache |
	xxxCache := #(nil) beMutable.
	(xxxCache at: 1) isNil ifTrue: [
		xxxCache at: 1 put: #(71 73 70 56 57 97 9 0 24 0 179 13 0 13 12 7 37 37 37 12 12 0 109 107 59 113 113 113 104 102 1 103 102 2 110 107 59 103 102 1 4 4 4 83 83 83 13 13 13 255 253 244 255 255 240 0 0 0 0 0 0 33 249 4 1 0 0 13 0 44 0 0 0 0 9 0 24 0 0 4 63 144 172 73 151 100 56 179 21 146 102 73 208 28 64 38 24 77 58 148 2 146 190 67 82 188 180 66 215 247 107 231 205 158 251 55 32 142 39 212 241 122 199 98 74 25 155 209 86 140 214 139 100 66 117 62 161 197 7 99 169 80 8 17 0 59) asByteArray ].
	^ xxxCache at: 1</body>
</methods>
<methods>
<class-id>Seaside.BGFileLibrary</class-id>
<category>uploaded</category>
<body package="CSSBarGraph-Core">gcolorbar2Jpg
	| xxxCache |
	xxxCache := #(nil) beMutable.
	(xxxCache at: 1) isNil ifTrue: [
		xxxCache at: 1 put: #(255 216 255 224 0 16 74 70 73 70 0 1 2 0 0 100 0 100 0 0 255 236 0 17 68 117 99 107 121 0 1 0 4 0 0 0 69 0 0 255 238 0 14 65 100 111 98 101 0 100 192 0 0 0 1 255 219 0 132 0 4 3 3 3 3 3 4 3 3 4 6 4 3 4 6 7 5 4 4 5 7 8 7 7 7 7 7 8 11 8 9 9 9 9 8 11 11 12 12 12 12 12 11 13 13 14 14 13 13 18 18 18 18 18 20 20 20 20 20 20 20 20 20 20 1 5 5 5 8 8 8 16 11 11 16 20 14 14 14 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 255 192 0 17 8 0 20 0 197 3 1 17 0 2 17 1 3 17 1 255 196 0 159 0 1 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 4 3 2 5 6 1 7 1 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 3 2 4 1 7 5 16 0 0 2 5 7 10 3 4 11 0 0 0 0 0 0 0 0 3 1 2 4 5 6 65 210 20 165 22 7 23 17 49 129 18 19 211 148 21 149 86 66 132 102 35 54 70 24 33 34 179 36 116 164 180 37 85 117 40 17 0 1 2 2 6 9 2 5 4 3 0 0 0 0 0 0 1 0 2 3 4 17 82 146 162 99 20 81 145 161 209 18 98 19 83 21 49 97 33 65 113 177 50 225 34 114 51 178 52 37 255 218 0 12 3 1 0 2 17 3 17 0 63 0 246 78 23 27 149 228 230 119 188 158 110 246 118 231 147 115 57 77 77 173 173 101 40 121 231 30 122 136 48 195 12 48 196 44 178 203 44 178 201 74 82 148 143 139 26 51 248 207 196 250 175 69 145 144 151 50 208 201 134 210 75 90 126 45 7 212 46 170 144 164 47 252 35 7 10 76 208 6 60 74 199 90 208 100 37 187 108 178 55 36 23 9 66 169 206 227 119 240 132 77 6 99 196 172 117 148 70 70 95 182 203 35 114 81 112 132 38 156 238 23 119 8 68 192 102 98 45 99 172 162 116 148 191 109 182 66 81 112 108 32 156 240 251 181 62 76 137 128 140 204 90 206 214 80 186 78 5 70 217 9 101 193 80 106 115 195 174 196 249 38 121 128 140 212 106 238 214 80 186 82 13 70 217 9 101 192 240 90 115 195 142 180 249 22 121 128 140 220 106 238 180 80 58 86 13 70 234 9 101 192 144 66 115 195 78 164 249 22 105 128 140 228 122 238 180 80 186 94 21 86 234 9 69 192 80 42 115 195 14 158 1 154 96 51 59 49 93 214 138 23 64 135 84 106 9 69 221 252 6 156 240 179 163 167 179 76 4 103 166 59 142 180 119 162 116 24 117 70 164 149 46 246 1 78 120 85 207 211 217 119 96 204 252 207 113 246 142 244 70 19 52 13 74 234 93 221 223 167 225 71 55 78 101 221 136 51 243 61 199 218 59 209 152 108 208 21 48 234 239 178 123 166 230 233 204 187 177 62 66 103 184 251 78 222 160 195 110 128 190 38 238 174 251 180 220 221 57 151 118 58 39 230 123 143 180 119 168 44 110 133 132 221 221 223 246 163 155 167 50 238 197 137 249 158 227 237 29 232 203 70 133 132 221 228 1 218 142 126 158 203 187 20 39 166 59 143 180 119 162 32 41 166 239 96 30 213 115 244 246 93 216 177 61 49 220 117 163 189 11 148 211 119 208 15 106 185 250 123 46 236 88 157 152 174 235 69 11 137 83 77 223 192 93 172 232 233 236 211 2 9 216 245 221 104 161 115 142 149 53 160 8 19 181 221 28 3 52 193 98 114 61 119 90 40 92 247 105 42 105 128 96 78 216 116 240 12 211 5 137 184 245 221 104 161 116 87 233 42 107 64 80 55 108 58 120 6 105 130 196 220 106 238 180 81 24 175 210 117 168 173 1 192 253 178 234 224 89 166 4 19 81 171 187 89 70 99 68 172 117 172 38 4 130 59 105 213 192 179 76 22 38 99 86 118 178 160 199 137 88 235 43 136 124 39 11 147 21 176 59 74 115 49 40 236 108 119 182 180 53 48 42 206 90 25 141 57 148 246 85 8 53 98 117 118 105 48 181 90 14 85 85 245 117 144 133 214 70 92 137 14 38 34 244 143 238 63 147 126 126 206 86 35 196 233 159 220 125 71 207 234 188 188 41 238 203 151 240 12 191 98 168 211 31 243 119 212 175 112 144 255 0 86 31 240 111 248 133 221 80 1 90 10 73 96 202 39 37 150 8 160 114 97 64 156 133 201 133 1 114 7 38 148 5 203 59 147 10 4 228 14 77 44 11 144 57 44 176 69 11 146 148 6 80 148 133 1 148 101 86 65 40 202 202 71 66 130 176 145 97 17 83 72 176 137 202 107 11 8 28 164 176 64 133 202 107 4 8 28 164 176 176 129 202 107 4 8 28 164 176 64 132 168 172 16 35 42 73 22 17 149 231 90 253 247 115 127 84 245 253 75 188 104 111 244 187 249 55 236 229 99 250 207 213 191 103 47 200 29 214 206 134 77 154 229 214 111 87 246 110 107 182 166 208 178 253 222 145 70 246 91 77 150 174 182 167 209 148 125 136 221 30 51 79 21 52 251 47 95 146 242 57 118 112 244 184 120 69 20 241 83 71 202 154 62 30 137 202 226 132 156 131 243 128 78 95 155 98 208 124 150 21 245 117 49 82 75 63 166 154 12 229 185 246 35 62 71 10 250 66 152 179 37 157 211 78 16 114 188 247 81 31 33 133 125 36 188 94 240 217 189 52 240 103 41 207 117 19 179 216 119 146 75 198 63 13 153 211 79 6 114 120 151 81 59 59 135 121 40 188 105 240 217 125 60 192 17 201 98 93 68 236 223 37 228 149 49 186 75 43 167 152 131 57 28 75 168 78 107 146 242 74 152 233 37 147 211 204 129 156 134 45 196 71 49 201 181 37 76 121 146 200 233 230 96 207 143 197 184 136 245 249 118 171 171 143 178 88 250 204 65 241 216 183 17 158 183 46 213 101 126 96 36 177 213 160 131 227 113 110 40 61 94 93 170 159 232 44 159 6 214 130 127 230 227 92 80 122 158 219 86 83 243 5 232 218 208 80 241 184 215 20 30 167 178 202 126 96 61 29 90 14 143 27 139 113 65 227 246 88 78 63 250 58 180 22 60 118 45 196 103 137 97 56 251 45 143 172 197 15 31 139 113 17 88 78 61 203 100 43 49 99 199 226 220 68 104 88 78 60 203 100 107 49 99 33 139 117 17 225 247 83 78 59 203 100 107 33 99 35 137 117 11 186 126 235 9 199 89 108 149 100 40 100 177 46 162 61 46 109 138 107 99 156 182 78 178 22 50 88 151 81 158 143 54 197 36 227 132 182 82 177 22 50 120 151 84 30 135 54 197 132 227 119 165 107 17 67 41 207 117 65 203 243 108 92 181 241 67 159 147 74 228 182 154 136 111 42 212 164 242 234 30 212 186 118 215 47 183 164 109 40 155 44 158 207 83 105 151 235 100 26 6 87 164 127 58 41 26 41 244 52 123 105 86 50 253 51 249 81 72 209 79 207 245 95 255 217) asByteArray ].
	^ xxxCache at: 1</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>initialize-release</category>
<body package="CSSBarGraph-Core">initialize
	super initialize.
	self datasets: OrderedCollection new</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>rendering</category>
<body package="CSSBarGraph-Core">renderDatasetsOn: html
	html definitionList
		class: 'goodBadChart';
		with: [
			self datasets do: [ :each |
				self renderDataset: each on: html ] ]</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>accessing-style</category>
<body package="CSSBarGraph-Core">strongStyle
	^String streamContents: [ :stream |
		stream nextPutAll: 'background: url('.
		stream nextPutAll: (self resources addToPath: 'gmarker.gif') asString.
		stream nextPutAll: ');' ]</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>rendering</category>
<body package="CSSBarGraph-Core">rendererClass
	^ WARenderCanvas</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>accessing-style</category>
<body package="CSSBarGraph-Core">barStyle
	^String streamContents: [ :stream |
		stream nextPutAll: 'background: url('.
		stream nextPutAll: (self resources addToPath: 'gcolorbar.jpg') asString.
		stream nextPutAll: ');' ]</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>datasets</category>
<body package="CSSBarGraph-Core">add: aString value: anInteger
	"an integer is between 0 and 100"
	^self datasets add: (BGDataset title: aString percent: anInteger)</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>datasets</category>
<body package="CSSBarGraph-Core">datasets: aCollection 
	datasets := aCollection</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>datasets</category>
<body package="CSSBarGraph-Core">datasets
	^datasets</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>rendering</category>
<body package="CSSBarGraph-Core">renderDataset: aDataset on: html
	html definitionTerm
		class: 'goodBadLabel';
		with: aDataset  title.
	html definitionData
		style: self barStyle;
		class: 'goodBadBar';
		with: [ 
			html div
				style: (self divStyleWidth: aDataset percent);
				with: [
					html strong
						style: self strongStyle;
						with: aDataset percentString ] ]</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>accessing-style</category>
<body package="CSSBarGraph-Core">resources
	^ WAUrl new
		addToPath: WADispatcher default basePath , '/files/BGFileLibrary/';
		yourself</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>rendering</category>
<body package="CSSBarGraph-Core">renderContentOn: html
	self renderDatasetsOn: html</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart</class-id>
<category>accessing-style</category>
<body package="CSSBarGraph-Core">divStyleWidth: anInteger
	^String streamContents: [ :stream |
		stream
			nextPutAll: 'background: url(';
			nextPutAll: (self resources addToPath: 'gcolorbar2.jpg') asString;
			nextPutAll: '); width: ';
			nextPutAll: anInteger displayString;
			nextPutAll: '%;' ]</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadStyles</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Core">selectorsToInclude
	^ #(#commonStyleCss )</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadStyles</class-id>
<category>style</category>
<body package="CSSBarGraph-Core">commonStyleCss
	^ '    dl.goodBadChart { 
        margin: 0; 
        padding: 0;     				
    }
    dt.goodBadLabel { 
        position: relative; /* IE is dumb */
        clear: both;
        display: block; 
        float: left; 
        width: 104px; 
        height: 20px; 
        line-height: 20px;
        margin-right: 17px;              
        font-size: .75em; 
        text-align: right; 
    }
    dd.goodBadBar { 
        position: relative; /* IE is dumb */
        display: block;     			
        float: left;     
        width: 197px; 
        height: 20px; 
        margin: 0 0 15px;
     }
     * html dd { float: none; } 
    /* IE is dumb; Quick IE hack, apply favorite filter methods for 
    wider browser compatibility */

     dd.goodBadBar div { 
        position: relative; 
        height: 20px; 
        width: 75%; 
        text-align:right; 
     }
     dd.goodBadBar div strong { 
        position: absolute; 
        right: -5px; 
        top: -2px; 
        display: block; 
        height: 24px; 
        width: 9px; 
        text-align: left;
        text-indent: -9999px; 
        overflow: hidden;
     }'</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>initialize-release</category>
<body package="CSSBarGraph-Core">initialize
	super initialize.
	self barColor: (Color r: 177 + 1 g: 214 + 1 b: 50 +1 range: 256). "#B1D632 aka 177 214 50 , don't ask"
	self textColor: (Color r: 51 + 1 g: 51 + 1 b: 51 + 1 range: 256). " #333333 aka 51 51 51 , don't ask"
	self progress: 0.</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Core">barColor
	^barColor</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Core">textColor
	^textColor</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Core">rendererClass
	^WARenderCanvas </body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>accessing-style</category>
<body package="CSSBarGraph-Core">barStyle
	^String streamContents: [ :stream |
		stream nextPutAll: 
'        display: block;
        position: relative;
        background: ' ; nextPutAll: self barColor asHTMLColor ; nextPutAll: '; 
        text-align: center; 
        color: ' ; nextPutAll: self textColor asHTMLColor ; nextPutAll: '; 
        height: 2em; 
        line-height: 2em;
        width: ' ; nextPutAll: self percentString ; nextPutAll: ';' ]</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>private</category>
<body package="CSSBarGraph-Core">percentString
	^self progress displayString , '%'</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Core">progress
	^progress</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Core">progress: anInteger 
	"anInteger is an integer between 0 and 100"
	progress := anInteger</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>accessing-style</category>
<body package="CSSBarGraph-Core">style
	^String streamContents: [ :stream |
		stream nextPutAll: 
'    .graph { 
        position: relative; /* IE is dumb */
        width: 200px; 
        border: 1px solid ' ; nextPutAll: self barColor asHTMLColor ; nextPutAll: '; 
        padding: 2px; 
    }
    .graph .bar { 
        display: block;
        position: relative;
        background: ' ; nextPutAll: self barColor asHTMLColor ; nextPutAll: '; 
        text-align: center; 
        color: ' ; nextPutAll: self textColor asHTMLColor ; nextPutAll: '; 
        height: 2em; 
        line-height: 2em;            
    }
    .graph .bar span { position: absolute; left: 1em; }' ]</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Core">textColor: aColor 
	textColor := aColor</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>rendering</category>
<body package="CSSBarGraph-Core">renderContentOn: html
	html div
		class: 'progressGraph';
		style: self graphStyle;
		with: [
			html strong
				class: 'progressBar';
				style: self barStyle;
				with: [
					html span
						style: self spanStyle;
						with: self percentString ] ]</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>accessing-style</category>
<body package="CSSBarGraph-Core">spanStyle
	^'position: absolute; left: 1em;'</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>accessing-style</category>
<body package="CSSBarGraph-Core">graphStyle
	^String streamContents: [ :stream |
		stream nextPutAll:
'     position: relative; /* IE is dumb */
     width: 200px; 
     border: 1px solid ' ; nextPutAll: self barColor asHTMLColor ; nextPutAll: '; 
     padding: 2px;' ]</body>
</methods>
<methods>
<class-id>Seaside.BGProgressBar</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Core">barColor: aColor 
	barColor := aColor</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo class</class-id>
<category>accessing</category>
<body package="CSSBarGraph-Demo">description
	^'A bar graph library based on CSS and XHTML. It is based on CSS FOR BAR GRAPHS.'</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo class</class-id>
<category>class initialization</category>
<body package="CSSBarGraph-Demo">initialize
	(self registerAsApplication: 'examples/cssbargraph')
		addLibrary: BGGoodBadStyles</body>
</methods>
<methods>
<class-id>Seaside.BGBarDemo class</class-id>
<category>testing</category>
<body package="CSSBarGraph-Demo">canBeRoot
	^true</body>
</methods>
<methods>
<class-id>Seaside.BGDataset class</class-id>
<category>instance creation</category>
<body package="CSSBarGraph-Model">title: aString percent: anInteger
	^self new
		title: aString;
		percent: anInteger;
		yourself</body>
</methods>
<methods>
<class-id>Seaside.BGFileLibrary class</class-id>
<category>class initialization</category>
<body package="CSSBarGraph-Core">initialize
	self register</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart class</class-id>
<category>instance creation</category>
<body package="CSSBarGraph-Core">new
	^self basicNew initialize</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart class</class-id>
<category>accessing-resources</category>
<body package="CSSBarGraph-Core">colorBar
	^#(255 216 255 224 0 16 74 70 73 70 0 1 2 0 0 100 0 100 0 0 255 236 0 17 68 117 99 107 121 0 1 0 4 0 0 0 69 0 0 255 238 0 14 65 100 111 98 101 0 100 192 0 0 0 1 255 219 0 132 0 4 3 3 3 3 3 4 3 3 4 6 4 3 4 6 7 5 4 4 5 7 8 7 7 7 7 7 8 11 8 9 9 9 9 8 11 11 12 12 12 12 12 11 13 13 14 14 13 13 18 18 18 18 18 20 20 20 20 20 20 20 20 20 20 1 5 5 5 8 8 8 16 11 11 16 20 14 14 14 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 255 192 0 17 8 0 20 0 197 3 1 17 0 2 17 1 3 17 1 255 196 0 166 0 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 5 4 3 2 7 0 1 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 4 3 5 2 8 6 16 0 0 3 4 7 7 1 5 7 5 0 0 0 0 0 0 0 2 3 1 4 5 6 17 65 129 18 210 20 23 49 113 66 19 148 21 22 33 193 209 34 50 165 130 35 36 132 164 54 86 179 116 37 38 70 17 0 1 1 3 7 8 6 9 2 7 1 0 0 0 0 0 2 0 1 3 4 17 209 18 83 163 5 21 65 146 162 19 147 20 100 22 33 145 82 210 99 84 49 81 97 161 50 98 114 178 6 34 52 129 177 193 66 51 115 53 38 255 218 0 12 3 1 0 2 17 3 17 0 63 0 242 119 135 183 167 231 181 223 95 87 81 229 241 229 67 172 240 240 177 204 117 20 80 230 105 140 115 152 205 107 76 99 53 180 181 173 218 62 34 54 49 251 31 27 24 100 198 48 155 149 190 181 233 27 134 224 187 74 237 135 34 135 116 68 78 157 147 90 64 36 214 180 133 141 107 90 214 177 173 244 181 110 137 74 221 172 99 108 0 40 232 138 194 206 108 235 64 191 31 187 60 187 157 144 119 82 40 32 139 118 166 86 239 43 4 10 62 38 176 243 155 58 41 220 55 111 151 117 179 9 146 110 238 110 134 162 151 116 219 188 133 247 3 29 227 21 90 121 197 58 33 220 119 125 67 173 152 76 150 119 134 195 141 69 231 68 91 189 50 123 129 78 243 139 173 60 242 157 13 229 205 1 80 235 102 51 37 157 160 240 147 124 206 14 237 222 137 61 192 167 122 198 87 60 207 41 208 158 93 16 85 46 243 6 100 195 180 6 6 106 47 67 29 27 189 4 240 130 157 239 29 92 243 60 167 66 121 117 193 213 59 204 25 146 238 242 220 186 106 47 66 28 155 189 217 44 32 135 124 199 215 189 218 20 232 47 46 216 90 160 205 25 146 206 242 172 176 106 47 65 92 27 189 213 28 32 167 125 222 21 239 118 135 58 25 192 67 85 134 107 38 74 33 40 74 109 162 152 12 57 187 221 16 192 12 87 237 227 230 30 237 14 116 51 130 113 216 28 214 36 145 146 228 230 177 148 203 208 198 239 114 119 192 14 87 253 229 230 31 109 15 188 138 112 142 123 3 154 197 122 82 60 150 221 178 228 45 191 145 119 192 32 95 144 94 126 97 246 212 251 200 197 12 235 178 61 76 84 178 69 146 40 253 181 10 232 93 240 9 243 13 231 230 95 109 79 188 162 80 238 187 44 234 98 224 210 52 147 252 110 21 208 187 224 29 179 242 11 207 204 62 218 159 121 68 156 187 236 179 169 98 105 30 74 254 57 11 232 93 240 10 178 255 0 188 188 195 237 161 247 145 141 208 122 153 212 176 60 147 38 51 100 187 12 232 157 240 10 141 253 121 121 135 187 67 157 20 192 125 75 3 201 114 115 54 75 208 206 137 223 0 176 223 183 143 152 123 180 57 209 13 138 115 201 178 131 54 75 240 222 141 12 2 227 126 94 21 239 118 135 58 19 194 111 173 76 121 62 82 102 200 12 59 163 67 0 184 223 81 245 239 118 135 58 27 199 135 235 106 156 242 148 168 205 144 40 127 72 134 17 97 190 99 235 222 109 10 116 39 143 222 118 155 214 213 57 229 73 89 155 32 144 254 149 28 34 227 124 71 87 60 207 41 208 206 37 247 104 186 218 165 82 86 150 89 178 10 224 207 202 163 132 92 111 104 218 231 153 229 58 33 197 191 237 150 115 84 138 75 50 219 54 65 220 122 100 112 139 141 235 25 92 243 60 167 71 40 216 142 217 103 53 78 121 110 93 102 200 67 151 76 150 17 102 94 145 149 175 51 202 117 2 143 137 172 60 230 206 142 60 38 22 148 89 8 122 110 104 150 30 244 238 178 239 14 108 76 172 65 69 93 206 145 81 80 201 81 113 167 33 86 84 165 53 20 177 135 51 43 26 1 121 69 54 16 219 172 57 88 97 211 73 178 244 139 201 122 125 57 25 208 172 49 209 13 135 38 211 41 88 97 253 205 151 165 135 151 248 49 120 41 126 102 239 104 211 142 255 0 57 253 69 252 215 186 255 0 31 255 0 151 13 254 151 95 96 171 144 25 228 180 13 38 238 14 104 134 151 118 168 20 208 158 38 29 106 4 52 23 137 167 90 128 205 1 226 109 214 160 51 64 120 154 117 168 12 208 30 38 93 170 4 52 23 137 135 122 129 13 5 226 81 13 140 6 36 67 72 163 80 57 34 146 169 159 40 154 129 46 12 59 98 57 44 14 42 40 198 176 56 176 161 188 83 28 92 80 158 41 148 8 20 23 138 85 2 5 1 226 149 65 113 65 120 166 56 64 160 188 82 42 16 40 102 163 82 176 129 70 53 41 197 197 24 144 235 254 225 113 254 205 243 250 174 195 69 223 237 15 235 119 246 189 87 15 219 31 214 31 107 197 224 177 46 215 221 95 123 38 99 179 230 21 237 249 203 153 140 189 246 242 185 220 191 135 153 118 139 215 125 41 216 62 198 51 114 215 21 45 100 178 182 89 40 201 46 95 74 246 61 199 204 120 123 157 94 235 67 86 52 105 235 105 81 147 244 210 163 250 126 25 63 175 76 171 228 185 156 55 109 164 8 176 255 0 23 65 104 23 50 240 150 202 228 115 188 28 171 111 8 150 27 227 104 35 159 49 240 150 201 20 59 183 6 90 219 224 229 133 248 218 8 167 204 57 119 91 84 146 30 67 233 115 37 111 52 28 176 159 30 205 20 241 236 187 181 170 77 15 44 224 237 214 243 253 128 199 131 113 22 104 103 141 229 221 237 18 142 254 113 233 115 181 125 172 207 176 24 240 76 187 197 146 33 227 25 117 22 137 68 53 15 131 178 219 154 6 44 7 137 178 68 60 87 46 167 77 38 134 167 250 92 236 54 231 1 203 151 248 171 36 67 196 178 234 180 210 72 234 207 7 142 219 158 7 46 93 226 172 81 79 127 203 170 210 87 165 172 94 151 124 106 220 248 129 114 223 23 98 140 91 239 135 164 173 79 90 120 124 94 222 224 34 222 89 226 236 84 11 123 249 52 150 236 214 218 63 229 126 162 56 255 0 204 241 150 42 77 222 126 77 37 201 181 178 191 22 250 136 233 156 179 198 88 168 150 241 242 251 214 70 214 154 252 95 234 2 140 229 174 46 197 64 181 223 47 189 98 109 102 175 198 62 160 42 206 92 226 236 81 142 158 89 22 38 214 42 252 107 245 226 163 203 188 85 138 41 203 149 96 125 94 175 198 236 207 139 15 47 113 86 72 167 71 44 171 3 234 213 126 59 102 120 84 112 14 38 201 16 245 89 105 123 148 231 213 106 252 122 204 232 176 224 92 77 146 33 238 249 105 251 150 7 213 26 251 5 153 209 102 96 124 77 146 33 238 153 105 232 169 212 212 206 46 197 102 112 88 112 94 34 205 28 183 47 19 69 76 125 71 175 178 89 155 22 28 31 199 179 71 45 195 197 208 83 155 80 235 236 191 170 21 102 17 227 217 168 150 29 226 232 41 127 218 51 127 136 201 121 15 47 252 117 206 102 71 41 123 241 124 202 126 247 157 127 45 203 163 224 187 204 167 214 128 241 194 247 82 147 91 70 152 203 240 82 150 137 209 246 73 241 123 101 87 28 63 119 41 53 146 82 25 126 25 101 144 164 246 73 241 123 87 255 217 ) asByteArray</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart class</class-id>
<category>accessing-resources</category>
<body package="CSSBarGraph-Core">colorBar2
	^#(255 216 255 224 0 16 74 70 73 70 0 1 2 0 0 100 0 100 0 0 255 236 0 17 68 117 99 107 121 0 1 0 4 0 0 0 69 0 0 255 238 0 14 65 100 111 98 101 0 100 192 0 0 0 1 255 219 0 132 0 4 3 3 3 3 3 4 3 3 4 6 4 3 4 6 7 5 4 4 5 7 8 7 7 7 7 7 8 11 8 9 9 9 9 8 11 11 12 12 12 12 12 11 13 13 14 14 13 13 18 18 18 18 18 20 20 20 20 20 20 20 20 20 20 1 5 5 5 8 8 8 16 11 11 16 20 14 14 14 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 20 255 192 0 17 8 0 20 0 197 3 1 17 0 2 17 1 3 17 1 255 196 0 159 0 1 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 4 3 2 5 6 1 7 1 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 3 2 4 1 7 5 16 0 0 2 5 7 10 3 4 11 0 0 0 0 0 0 0 0 3 1 2 4 5 6 65 210 20 165 22 7 23 17 49 129 18 19 211 148 21 149 86 66 132 102 35 54 70 24 33 34 179 36 116 164 180 37 85 117 40 17 0 1 2 2 6 9 2 5 4 3 0 0 0 0 0 0 1 0 2 3 4 17 82 146 162 99 20 81 145 161 209 18 98 19 83 21 49 97 33 65 113 177 50 225 34 114 51 178 52 37 255 218 0 12 3 1 0 2 17 3 17 0 63 0 246 78 23 27 149 228 230 119 188 158 110 246 118 231 147 115 57 77 77 173 173 101 40 121 231 30 122 136 48 195 12 48 196 44 178 203 44 178 201 74 82 148 143 139 26 51 248 207 196 250 175 69 145 144 151 50 208 201 134 210 75 90 126 45 7 212 46 170 144 164 47 252 35 7 10 76 208 6 60 74 199 90 208 100 37 187 108 178 55 36 23 9 66 169 206 227 119 240 132 77 6 99 196 172 117 148 70 70 95 182 203 35 114 81 112 132 38 156 238 23 119 8 68 192 102 98 45 99 172 162 116 148 191 109 182 66 81 112 108 32 156 240 251 181 62 76 137 128 140 204 90 206 214 80 186 78 5 70 217 9 101 193 80 106 115 195 174 196 249 38 121 128 140 212 106 238 214 80 186 82 13 70 217 9 101 192 240 90 115 195 142 180 249 22 121 128 140 220 106 238 180 80 58 86 13 70 234 9 101 192 144 66 115 195 78 164 249 22 105 128 140 228 122 238 180 80 186 94 21 86 234 9 69 192 80 42 115 195 14 158 1 154 96 51 59 49 93 214 138 23 64 135 84 106 9 69 221 252 6 156 240 179 163 167 179 76 4 103 166 59 142 180 119 162 116 24 117 70 164 149 46 246 1 78 120 85 207 211 217 119 96 204 252 207 113 246 142 244 70 19 52 13 74 234 93 221 223 167 225 71 55 78 101 221 136 51 243 61 199 218 59 209 152 108 208 21 48 234 239 178 123 166 230 233 204 187 177 62 66 103 184 251 78 222 160 195 110 128 190 38 238 174 251 180 220 221 57 151 118 58 39 230 123 143 180 119 168 44 110 133 132 221 221 223 246 163 155 167 50 238 197 137 249 158 227 237 29 232 203 70 133 132 221 228 1 218 142 126 158 203 187 20 39 166 59 143 180 119 162 32 41 166 239 96 30 213 115 244 246 93 216 177 61 49 220 117 163 189 11 148 211 119 208 15 106 185 250 123 46 236 88 157 152 174 235 69 11 137 83 77 223 192 93 172 232 233 236 211 2 9 216 245 221 104 161 115 142 149 53 160 8 19 181 221 28 3 52 193 98 114 61 119 90 40 92 247 105 42 105 128 96 78 216 116 240 12 211 5 137 184 245 221 104 161 116 87 233 42 107 64 80 55 108 58 120 6 105 130 196 220 106 238 180 81 24 175 210 117 168 173 1 192 253 178 234 224 89 166 4 19 81 171 187 89 70 99 68 172 117 172 38 4 130 59 105 213 192 179 76 22 38 99 86 118 178 160 199 137 88 235 43 136 124 39 11 147 21 176 59 74 115 49 40 236 108 119 182 180 53 48 42 206 90 25 141 57 148 246 85 8 53 98 117 118 105 48 181 90 14 85 85 245 117 144 133 214 70 92 137 14 38 34 244 143 238 63 147 126 126 206 86 35 196 233 159 220 125 71 207 234 188 188 41 238 203 151 240 12 191 98 168 211 31 243 119 212 175 112 144 255 0 86 31 240 111 248 133 221 80 1 90 10 73 96 202 39 37 150 8 160 114 97 64 156 133 201 133 1 114 7 38 148 5 203 59 147 10 4 228 14 77 44 11 144 57 44 176 69 11 146 148 6 80 148 133 1 148 101 86 65 40 202 202 71 66 130 176 145 97 17 83 72 176 137 202 107 11 8 28 164 176 64 133 202 107 4 8 28 164 176 176 129 202 107 4 8 28 164 176 64 132 168 172 16 35 42 73 22 17 149 231 90 253 247 115 127 84 245 253 75 188 104 111 244 187 249 55 236 229 99 250 207 213 191 103 47 200 29 214 206 134 77 154 229 214 111 87 246 110 107 182 166 208 178 253 222 145 70 246 91 77 150 174 182 167 209 148 125 136 221 30 51 79 21 52 251 47 95 146 242 57 118 112 244 184 120 69 20 241 83 71 202 154 62 30 137 202 226 132 156 131 243 128 78 95 155 98 208 124 150 21 245 117 49 82 75 63 166 154 12 229 185 246 35 62 71 10 250 66 152 179 37 157 211 78 16 114 188 247 81 31 33 133 125 36 188 94 240 217 189 52 240 103 41 207 117 19 179 216 119 146 75 198 63 13 153 211 79 6 114 120 151 81 59 59 135 121 40 188 105 240 217 125 60 192 17 201 98 93 68 236 223 37 228 149 49 186 75 43 167 152 131 57 28 75 168 78 107 146 242 74 152 233 37 147 211 204 129 156 134 45 196 71 49 201 181 37 76 121 146 200 233 230 96 207 143 197 184 136 245 249 118 171 171 143 178 88 250 204 65 241 216 183 17 158 183 46 213 101 126 96 36 177 213 160 131 227 113 110 40 61 94 93 170 159 232 44 159 6 214 130 127 230 227 92 80 122 158 219 86 83 243 5 232 218 208 80 241 184 215 20 30 167 178 202 126 96 61 29 90 14 143 27 139 113 65 227 246 88 78 63 250 58 180 22 60 118 45 196 103 137 97 56 251 45 143 172 197 15 31 139 113 17 88 78 61 203 100 43 49 99 199 226 220 68 104 88 78 60 203 100 107 49 99 33 139 117 17 225 247 83 78 59 203 100 107 33 99 35 137 117 11 186 126 235 9 199 89 108 149 100 40 100 177 46 162 61 46 109 138 107 99 156 182 78 178 22 50 88 151 81 158 143 54 197 36 227 132 182 82 177 22 50 120 151 84 30 135 54 197 132 227 119 165 107 17 67 41 207 117 65 203 243 108 92 181 241 67 159 147 74 228 182 154 136 111 42 212 164 242 234 30 212 186 118 215 47 183 164 109 40 155 44 158 207 83 105 151 235 100 26 6 87 164 127 58 41 26 41 244 52 123 105 86 50 253 51 249 81 72 209 79 207 245 95 255 217 ) asByteArray</body>
</methods>
<methods>
<class-id>Seaside.BGGoodBadChart class</class-id>
<category>accessing-resources</category>
<body package="CSSBarGraph-Core">marker
	^#(71 73 70 56 57 97 9 0 24 0 179 13 0 13 12 7 37 37 37 12 12 0 109 107 59 113 113 113 104 102 1 103 102 2 110 107 59 103 102 1 4 4 4 83 83 83 13 13 13 255 253 244 255 255 240 0 0 0 0 0 0 33 249 4 1 0 0 13 0 44 0 0 0 0 9 0 24 0 0 4 63 144 172 73 151 100 56 179 21 146 102 73 208 28 64 38 24 77 58 148 2 146 190 67 82 188 180 66 215 247 107 231 205 158 251 55 32 142 39 212 241 122 199 98 74 25 155 209 86 140 214 139 100 66 117 62 161 197 7 99 169 80 8 17 0 59 ) asByteArray</body>
</methods>
<initialize>
<class-id>Seaside.BGBarDemo</class-id>
</initialize>
<initialize>
<class-id>Seaside.BGFileLibrary</class-id>
</initialize>
</st-source>
