<?xml version="1.0"?>

<st-source>
<time-stamp>From Squeak3.9 on 29 September 2007 at 6:44:36 am</time-stamp>
<version>NumberedList-mb.6.mcz      24 September 2007 9:23:53 pm</version>

<class>
<name>NLDemo</name>
<environment>Seaside</environment>
<super>Seaside.WAComponent</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>NumberedList-Demo</category>
<attributes>
<package>NumberedList-Demo</package>
</attributes>
</class>

<class>
<name>NLStyles</name>
<environment>Seaside</environment>
<super>Seaside.WAFileLibrary</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>NumberedList-Styles</category>
<attributes>
<package>NumberedList-Styles</package>
</attributes>
</class>
<methods>
<class-id>Seaside.NLDemo</class-id>
<category>updating</category>
<body package="NumberedList-Demo">updateRoot: aHtmlRoot
	super updateRoot: aHtmlRoot.
	aHtmlRoot title: 'Numbered List Demo'</body>
</methods>
<methods>
<class-id>Seaside.NLDemo</class-id>
<category>rendering</category>
<body package="NumberedList-Demo">renderListItem: aTitleString content: aContentString on: html
	html listItem: [
		html definitionList: [
			html definitionTerm: aTitleString.
			html definitionData: aContentString ] ]</body>
</methods>
<methods>
<class-id>Seaside.NLDemo</class-id>
<category>accessing</category>
<body package="NumberedList-Demo">rendererClass
	^WARenderCanvas</body>
</methods>
<methods>
<class-id>Seaside.NLDemo</class-id>
<category>accessing</category>
<body package="NumberedList-Demo">titleStrings
	^#(
		'Ut auctor libero vel justo.'
		'Duis quam leo, dapibus vel, pulvinar vitae, tristique pretium, metus.'
		'Pellentesque eros urna, suscipit vitae, fringilla sed, gravida in, eros.'
	)</body>
</methods>
<methods>
<class-id>Seaside.NLDemo</class-id>
<category>accessing</category>
<body package="NumberedList-Demo">contentStrings
	^#(
		'Cras vel ipsum a magna luctus laoreet. Nullam et arcu. Phasellus pede enim, fringilla non, egestas et, vulputate sit amet, nisi. Vivamus dapibus tristique eros. Donec facilisis varius nulla. Morbi non turpis.'

		'Morbi lorem dolor, tincidunt a, ultricies non, pharetra aliquet, ante. Nulla ut mauris vel tellus porttitor ultricies. Morbi scelerisque. Nullam viverra. Phasellus sollicitudin diam ac enim. Nulla quam est, congue nec, pharetra in, laoreet vulputate, sem. Nullam sed orci. Morbi rutrum, mi facilisis hendrerit semper, magna diam porttitor dolor, in auctor nisi ipsum eget dolor. Praesent sodales aliquet magna. Nulla dapibus ligula et diam. Fusce et arcu. Quisque non enim.'
		'Aliquam erat volutpat. Nunc hendrerit, ante malesuada ornare imperdiet, ipsum lectus vestibulum mi, vitae congue erat enim sit amet pede. Nulla facilisi. Vestibulum nonummy pede a magna. Praesent mollis nulla tincidunt metus. Proin metus magna, lacinia in, lobortis at, auctor quis, urna. Donec commodo nisi in pede. In hac habitasse platea dictumst.'
	)</body>
</methods>
<methods>
<class-id>Seaside.NLDemo</class-id>
<category>rendering</category>
<body package="NumberedList-Demo">renderListOn: html
	html orderedList
		class: 'numberedList';
		with: [
			self titleStrings with: self contentStrings do: [ :title : content |
				self renderListItem: title content: content on: html ] ]</body>
</methods>
<methods>
<class-id>Seaside.NLDemo</class-id>
<category>rendering</category>
<body package="NumberedList-Demo">renderContentOn: html
	self renderListOn: html</body>
</methods>
<methods>
<class-id>Seaside.NLStyles</class-id>
<category>accessing</category>
<body package="NumberedList-Styles">definitionTermCss
	^ '
.numberedList li dl dt {
    _margin-top: -70px;
	font-weight: bold;
	margin-top: 10px;
	margin-bottom: 5px;
}'</body>
</methods>
<methods>
<class-id>Seaside.NLStyles</class-id>
<category>accessing</category>
<body package="NumberedList-Styles">listContentCss
	^ '
.numberedList li dl dt, .numberedList li dl dd {
    _list-style-type: decimal;
    _list-style-position: outside;
    color: #111;
    font-size: 0px;
    line-height: normal;
    font-size: small;
    position: relative;
    top: -70px;
    left: -70px;
}'</body>
</methods>
<methods>
<class-id>Seaside.NLStyles</class-id>
<category>accessing</category>
<body package="NumberedList-Styles">listItemCss
	^ '
.numberedList li {
    list-style-type: decimal;
    list-style-position: outside;
    font-size: 60pt;
    position: relative;
    top: 70px;
    left: 65px;
    line-height: normal;
    color: #DDD;
    _color: #FFF;; /* show to IE */
}'</body>
</methods>
<methods>
<class-id>Seaside.NLStyles</class-id>
<category>accessing</category>
<body package="NumberedList-Styles">selectorsToInclude
	^ #(#definitionDefinitionCss #definitionTermCss #listContentCss #listItemCss )</body>
</methods>
<methods>
<class-id>Seaside.NLStyles</class-id>
<category>accessing</category>
<body package="NumberedList-Styles">definitionDefinitionCss
	^ '
.numberedList li dl dd {
	width: 400px;
	background-color: #eeeee7;
	padding: 7px;
	margin-left: 50px;
	padding-bottom: 20px;
}'</body>
</methods>
<methods>
<class-id>Seaside.NLDemo class</class-id>
<category>class initialization</category>
<body package="NumberedList-Demo">description
	^'Beautifully Numbered Lists based on CSS only'</body>
</methods>
<methods>
<class-id>Seaside.NLDemo class</class-id>
<category>class initialization</category>
<body package="NumberedList-Demo">initialize
	(self registerAsApplication: 'examples/numberedlist')
		addLibrary: NLStyles</body>
</methods>
<methods>
<class-id>Seaside.NLDemo class</class-id>
<category>testing</category>
<body package="NumberedList-Demo">canBeRoot
	^true</body>
</methods>
<initialize>
<class-id>Seaside.NLDemo</class-id>
</initialize>
</st-source>
